Qt 5.11 | Qt 3D | C++ Classes | QClipBlendValue

Qt 5.11.3 Reference Documentation

# QClipBlendValue Class

(Qt3DAnimation::QClipBlendValue)

Class used for including a clip in a blend tree. More...

Header: | #include <QClipBlendValue>
qmake: | QT += 3danimation
Inherits: | Qt3DAnimation::QAbstractClipBlendNode

- List of all members, including inherited members

## Properties

- clip : Qt3DAnimation::QAbstractAnimationClip*

- 3 properties inherited from Qt3DCore::QNode

## Public Functions

| QClipBlendValue(Qt3DCore::QNode *parent = nullptr)
| QClipBlendValue(Qt3DAnimation::QAbstractAnimationClip *clip, Qt3DCore::QNode *parent = nullptr)
virtual | ~QClipBlendValue()
Qt3DAnimation::QAbstractAnimationClip * | clip() const

- 13 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setClip(Qt3DAnimation::QAbstractAnimationClip *clip)

- 3 public slots inherited from Qt3DCore::QNode

## Signals

void | clipChanged(Qt3DAnimation::QAbstractAnimationClip *clip)

- 4 signals inherited from Qt3DCore::QNode

## Protected Functions

| QClipBlendValue(Qt3DAnimation::QClipBlendValuePrivate &dd, Qt3DCore::QNode *parent = nullptr)

- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

Class used for including a clip in a blend tree.

## Property Documentation

### clip : Qt3DAnimation::QAbstractAnimationClip*

The animation clip that needs to be included in the blend tree.

Access functions:

Qt3DAnimation::QAbstractAnimationClip * | clip() const
void | setClip(Qt3DAnimation::QAbstractAnimationClip *clip)

Notifier signal:

void | clipChanged(Qt3DAnimation::QAbstractAnimationClip *clip)

## Member Function Documentation

### QClipBlendValue::QClipBlendValue(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QClipBlendValue.

### QClipBlendValue::QClipBlendValue(Qt3DAnimation::QAbstractAnimationClip *clip, Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QClipBlendValue.

### `[protected]` QClipBlendValue::QClipBlendValue(Qt3DAnimation::QClipBlendValuePrivate &dd, Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QClipBlendValue.

### `[virtual]` QClipBlendValue::~QClipBlendValue()

Destroys the instance of QClipBlendValue. The destructor is virtual.